Skip to main content
GET
Typescript (SDK)

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

member_id
integer
required

Query Parameters

response_format
enum<string>
default:normalized

Directory response format: normalized (default) strips @hours and formats times; raw returns stored @hours values.

Available options:
normalized,
raw

Response

Successful Response

Model for a directory member (i.e. a contact).

name
string
required

Name of the directory member

Example:

"Jane Doe"

type
string
required

Type of the directory member

Example:

"Operator"

id
integer
required

Internal ID of the directory member

Example:

1

created_at
string<date-time>
required

When the contact was created

Example:

"2024-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of most recent update

Example:

"2024-01-01T00:00:00Z"

extensions
DirectoryExtension · object[] | null

List of extensions for the directory member

Example:
contact_tags
Contact Tags · object | null

Tags for the directory member

Example:
comments
string | null

The comments for the most recent edit to the directory member

Example:

"Updated to add new extension"

deleted_at
string<date-time> | null

When the contact was deleted, if deleted

Example:

null

last_updated_by
string | null

Email of the user who last updated the directory member

Example:

"user@email.com"

created_by
string | null

Email of the user who created the directory member

Example:

"user@email.com"